Bug 1261717 - tinc's initialization via systemd is broken
tinc's initialization via systemd is broken
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: tinc (Show other bugs)
epel7
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 23:30 EDT by Răzvan Sandu
Modified: 2017-02-16 12:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2015-09-09 23:30:18 EDT
Hello,


Description of problem:

As of September 10th, 2015, tinc's initialization via systemd mechanism seems to be broken.

A tincd.target file is *not* installed by the stock .rpm package.

An /etc/sysconfig/tinc configuration file is *not* created by the stock .rpm package (this would allow user to set tinc's various initialization parameters, such as the mandatory network/VPN name).

If the tincd service is started manually (or via a script run from the obsoleted /etc/rc.d/rc.local), the command "systemctl list-unit-files --type=service" says

tincd@.service                              disabled

but the tincd service *cannot* be managed via regular systemctl commands (enable/disable/start/stop/reload etc.).


Version-Release number of selected component (if applicable):

tinc-1.0.24-6.el7.x86_64 (stock package from EPEL7 running on CentOS 7.x)


How reproducible:
Always.

Steps to Reproduce:
1. On a systemd-enabled system, install tinc package from EPEL
2. Try to start tincd service via "system start tincd"


Actual results:

1. Cannot manage tincd via systemctl commands (enable/disable/start/stop/reload etc.).

2. The rpm package installs no /etc/sysconfig/tincd file, as a standard configuration place (file) where to set initialization parameters such as the VPN's name


Expected results:

1. tincd service should be smoothly manageable via regular systemctl commands (enable/disable/start/stop/reload etc.). Stock RPM package should install all systemd initialization files in proper places. 

2. A preconfigured /etc/sysconfig/tincd file should be installed by the RPM package, as a standard place where to set initialization parameters such as the VPN's name. (Most common) parameters in the /etc/sysconfig/tincd file should be present, commented out (and documented in the man page).


Additional info:

Please see older EPEL's bug #1161033 https://bugzilla.redhat.com/show_bug.cgi?id=1161033


Best regards,
Răzvan
Comment 1 Răzvan Sandu 2015-09-24 05:22:14 EDT
Please see also bug #1078237

Răzvan
Comment 2 Chen Chen 2016-09-06 21:56:52 EDT
Hi Răzvan,

The service has an '@' after its name, means it is an unit template and it asked for a parameter, which in this case, is the name of the VPN profile.

See also:
https://fedoramagazine.org/systemd-template-unit-files/
http://superuser.com/questions/393423/the-symbol-and-systemctl-and-vsftpd

Regards,
Chen
Comment 4 Răzvan Sandu 2017-02-16 12:24:27 EST
Hello,

This seem to be fixed in CentOS 7.3 (1611), as of February 16th, 2017.

Tinc service starts correctly at boot, provided that one enables both "tinc" and "tinc@network" in systemd.


Best regards,
Răzvan

Note You need to log in before you can comment on or make changes to this bug.